.body{
    background-color: rgb(1, 1, 44) !important;
    color: white;
    justify-content: center;
    align-content: center;
    margin: 10px;
}
.header{
    display: flex;
    justify-self:center;
    gap: 800px;
}
.container{
    justify-self: center;
    display: flex;
}
.dropdown-item{
    color: white;
}
.container1{
 display: flex;
    flex-direction: column;
    justify-self: center;
    width: 700px;
}

#svgtop{
    width:670px;
   max-height: 500px;
    z-index: 0;
    margin-right: 20px;
}
#locate{
    width: 300px;
    z-index: 5;
    margin-top:100px;
    margin-left: 100px;
   margin-right: 300px;
    position: absolute;
    display: flex;
    flex-direction: column;
}
.top{
    
   justify-content: center;
   align-content: center;
   display: flex;
}
.searchinput{
    width: 600px;
    background-color: rgb(59, 59, 59);
    border: none;
    border-radius: 10px;
    height: 50px;
    padding-left:45px;
}
.search{
    justify-self: center;
    margin-top:10px ;
}
#search{
    width: 100px;
    height: 50px;
    background-color:rgb(33, 2, 173);
    border-radius: 10px;
    border: none;
    color: white;
    justify-self: center;
}
.middle{
    width: 690px;
    display: flex;
    gap: 22px;
    justify-self: center;
    align-self: center;
}
.mids{
    width: 150px;
    height: 80px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
text-align: center;
justify-content: center;
align-content: center;
padding: 20px;
gap: 10px;
   background-color:rgb(36, 36, 36) ;;
}
.bottom{
    margin-top: 10px;
    display: flex;
    gap: 15;
    gap:6px;
    justify-self: center;
    align-self: center;
    margin-left: -30px;
}
.daily{
    width: 90px;
    height: 150px;
    justify-content: center;
    align-content: space-between;
    text-align: center;
     background-color: rgb(36, 36, 36);
    border-radius: 10px;
    gap: 10px;
    display: flex;
    flex-direction: column;

}
.dayImg{
    justify-self: center;
    margin-left: 20px;
}
.container2{
    display: flex;
    flex-direction: column;
    width: 400px;
    height :550px;
    justify-self: center;
    align-self: center;
   
   background-color:  rgb(36, 36, 36);
    border-radius: 20px;
}
#hour{
    display: flex;
    gap: 20px;
    justify-self: center;
    justify-content: space-between;
    margin: 20px;
}
.hourlydiv{
    display: flex;
    flex-direction: column;
    gap: 15px;
    justify-self: center;
    align-self: center;
}
.hourly{
    width: 370px;
    height: 43px;
    border-radius: 10px;
    background-color:rgb(59, 59, 59) ;
    display: flex;
    justify-content: space-around;
    align-content: center;

}
.hourImg{
    margin-top: 4px;
}
.errordiv{
    justify-self: center;
    align-self: baseline;
    text-align: center;
    margin-top: 100px;
}
#h1{
    font-size:70px;
}
#par{
    width: 500px;
    justify-self: center;
}
#retry{
    background-color:  rgb(36, 36, 36);
    width: 70px;
    height: 40px;
    color: white;
    display: flex;
    justify-content: center;
    align-content: center;
    justify-self: center;
    border: none;
    border-radius: 10px;
    padding-top:7px ;
    gap: 5px;
}
.temp{
    font-size: 50px;
    margin-left: 200px;
}
.minmax{
    display: flex;
    font-size: 14px;
    gap: 3px;
    padding: 3px;
    justify-content: space-between;
}
#openimage{
    margin-left: 400px;
     margin-top: 60px;
}
#currentemp{
    z-index: 1; position: absolute; margin-top: 100px; margin-left: 550px;
}
@media (max-width:400px) {
    .body{
    background-color: rgb(1, 1, 44) !important;
    color: white;
    justify-content: center;
    align-content: center;
    margin: 10px;
    overflow-x:hidden;
}
    .header{
    display: flex;
    
    justify-self:center;
    gap: 350px;
    margin-left: 340px;

}
#openimage{
    margin-left: 250px;
     margin-top: 10px;
width: 150px;
height: 150px;
}
#currentemp{
    z-index: 1; position: absolute; margin-top: 100px; margin-left: 30px;
}
.container{
    justify-self: center;
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.dropdown-item{
    color: white;
}
.container1{
 display: flex;
    flex-direction: column;
    justify-self: center;
    width: 700px;
}

#svgtop{
    width:650px;
   max-height: 750px !important;
    z-index: 0;
    margin-right: 260px;
    margin-left: 10px;
}
#locate{
    width: 300px;
    z-index: 5;
    margin-top:100px;
    margin-left: 30px;
   margin-right: 300px;
    position: absolute;
    display: flex;
    flex-direction: column-reverse;
    margin-top: -70px;
}
.top{
    
   justify-content: center;
   align-content: center;
   display: flex;
   flex-direction: column;
   font-size: 100px;
}
.searchinput{
    width: 650px;
    background-color: rgb(59, 59, 59);
    border: none;
    border-radius: 10px;
    height: 60px;
    padding-left:45px;
}
.search{
    justify-self: center;
    margin-top:10px ;
    display: flex;
    flex-direction: column;
    justify-self: center;
    gap: 15px;
    margin-left: 350px;
}
#search{
    width: 650px;
    height: 50px;
    background-color:rgb(33, 2, 173);
    border-radius: 10px;
    border: none;
    color: white;
    justify-self: center;
}
.middle{
    width: 690px;
    display: grid;
    justify-self: center;
    align-self: center;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
   margin-bottom: 15px;
}
#wtemp{
margin-left: -10px;
}
#whumid{
margin-left: -30px;
}
#wwind{
margin-left: -12px;
}
#wprecip{
margin-left: -30px;
}
.mids{
    width: 300px;
    height: 160px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
text-align: center;
justify-content: center;
align-content: center;
padding: 20px;
gap: 10px;
   background-color:rgb(36, 36, 36) ;;
   justify-self: center;
}
.bottom{
    margin-top: 10px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr ;
    grid-template-rows: 1fr 1fr 1fr ;
    justify-self: center;
    align-self: center;
    margin-left: -30px;
    gap: 40px;
}
.daily{
    width: 190px;
    height: 200px;
    justify-content: center;
    align-content: space-between;
    text-align: center;
     background-color: rgb(36, 36, 36);
    border-radius: 10px;
    gap: 10px;
    display: flex;
    flex-direction: column;

}
.dayImg{
    justify-self: center;
    margin-left: 70px;
}
.container2{
    display: flex;
    flex-direction: column;
    width: 670px;
    height :600px;
    justify-self: center;
    align-self: center;
   margin-left: 350px;
   background-color:  rgb(36, 36, 36);
    border-radius: 20px;
    
}
#hour{
    display: flex;
    gap: 20px;
    justify-self: center;
    justify-content: space-between;
    margin: 20px;
}
.hourlydiv{
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-self: center;
    align-self: center;
    
}
.hourly{
    width: 630px;
    height: 43px;
    border-radius: 10px;
    background-color:rgb(59, 59, 59) ;
    display: flex;
    justify-content: space-around;
    align-content: center;

}
.hourImg{
    margin-top: 4px;
}
.errordiv{
    justify-self: center;
    align-self: baseline;
    text-align: center;
    margin-top: 100px;
}
#h1{
    font-size:70px;
}
#par{
    width: 500px;
    justify-self: center;
}
#retry{
    background-color:  rgb(36, 36, 36);
    width: 70px;
    height: 40px;
    color: white;
    display: flex;
    justify-content: center;
    align-content: center;
    justify-self: center;
    border: none;
    border-radius: 10px;
    padding-top:7px ;
    gap: 5px;
}
.temp{
    font-size: 50px;
    margin-left: 200px;
}
.minmax{
    display: flex;
    font-size: 14px;
    gap: 3px;
    padding: 3px;
    justify-content: space-between;
}
}